package ui.controller;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

import com.sun.scenario.effect.impl.sw.java.JSWBlend_COLOR_BURNPeer;

import classes.Category;
import classes.CpsObject;
import ui.model.Model;

public class LoadStoreController {

	private Model MODEL;

	public LoadStoreController(Model model) {
		this.MODEL = model;
	}

	public void writeJSONFile() throws IOException {

		JSONObject jsonObj = new JSONObject();

		writeCategory(jsonObj);

		FileWriter file = new FileWriter("//Users//zheng//Desktop//Tesst.json");
		file.write(jsonObj.toJSONString());

		file.flush();
		file.close();

	}

	public void writeCategory(JSONObject jsonObj) throws IOException {
		
		int objI = 1;

		JSONArray arr = new JSONArray();
		for (Category cat : MODEL.getCategories()) {
			arr.add(cat.getName());
			writeObjects(jsonObj, cat.getObjects(), objI);
		}

		jsonObj.put("Category", arr);

	}

	public void writeObjects(JSONObject jsonObj, ArrayList<CpsObject> objects, int objI) {
		JSONArray arr = new JSONArray();
		for (CpsObject cps : objects) {
			arr.add(cps.getStored() );
			arr.add(cps.getObjName());
			arr.add( cps.getName());
			arr.add(cps.getImage());
			
		}
		jsonObj.put("CategoryObject." + objI++, arr);
	}

	public void readFromJSON(File jsonFile) throws IOException {

		String line;
		BufferedReader reader = new BufferedReader(new FileReader("textfile"));
		while ((line = reader.readLine()) != null) {
			// mach hier irgendwas mit der Gelesenen Zeile
		}
	}
}
